> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/zec/vpc-network/deletesubnets.md).

# DeleteSubnets

## 1. 接口描述

本接口(DeleteSubnets)用于删除一个或多个子网。

{% hint style="info" %}
**注意事项**

* 删除子网前，请清理该子网下所有资源，包括网卡、实例、NAT网关、高可用虚拟IP等。
* 不能删除默认子网。
* 支持批量删除，单个子网删除失败不影响其他子网，失败详情（子网ID、错误码、错误消息）会在响应中的 `failedSubnets` 返回。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型              | 描述                                                                                                                    |
| --------- | -- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| subnetIds | 是  | Array of String | <p>要删除的子网ID列表。</p><p>可通过调用 <a href="/api-reference/cn/zec/vpc-network/describesubnets.md">DescribeSubnets</a> 获取。</p> |

## 3. 响应结果

| 参数名称          | 类型                                                                                                 | 描述                                                       |
| ------------- | -------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId     | String                                                                                             | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| failedSubnets | Array of [DeleteSubnetsFailedItem](/api-reference/cn/zec/datastructure.md#deletesubnetsfaileditem) | <p>删除失败的子网详情列表。</p><p>若全量成功则为空。</p>                      |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量删除子网。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteSubnets
<Common Request Params>

Request：
{
  "subnetIds": [
    "<subnetId1>",
    "<subnetId2>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedSubnets": [
      {
        "subnetId": "<subnetId1>",
        "errorCode": "INVALID_SUBNET_IN_USE",
        "errorMsg": "The specified subnet `<subnetId1>` is in use"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                         | 说明     |
| ------- | --------------------------- | ------ |
| 404     | INVALID\_SUBNET\_NOT\_FOUND | 子网不存在。 |
